import React from "react";
import {Button, Card, Col, Input, Row, Tabs} from "antd";
import {FilterOutlined,} from "@ant-design/icons";
import {BreadcumbComponent} from "../../component/BreadcumbComponent";
import {Pulsa} from "./Pulsa";

const {TabPane} = Tabs;
const {Search} = Input;

export const Transaction = () => {
  const callback = (key) => {
    console.log(key);
  };
  const routeData = [
    {
      route: "/app/home",
      name: "Home",
    },
    {
      route: "/app/transaction",
      name: <span style={{fontWeight: 'bold'}}>Transaction</span>,
    },
  ];
  return (
      <div className={["ppob-container"].join(" ")}>
        <BreadcumbComponent data={routeData} text=""/>
        <Card>
          <Row style={{marginBottom: 20}}>
            <Col span={12}>
              <Button>
                <FilterOutlined/>
                Filter
              </Button>
            </Col>
            <Col span={12} style={{textAlign: "right"}}>
              <Search
                  placeholder="input search text"
                  style={{width: 200, marginRight: 10}}
              />
            </Col>
          </Row>
          <Tabs
              defaultActiveKey="1"
              onChange={callback}
              size="default"
              tabBarGutter="50"
          >
            <TabPane tab="Pulsa" key="1">
              <Pulsa/>
            </TabPane>
            <TabPane tab="Game Voucher" key="2">
              Game Voucher
            </TabPane>
            <TabPane tab="Product" key="3">
              Product
            </TabPane>
            <TabPane tab="Prduct" key="4">
              Product
            </TabPane>
            <TabPane tab="Prdct" key="5">
              Product
            </TabPane>
          </Tabs>
        </Card>
      </div>
  );
};
