import {Redirect, Route, Switch} from "react-router-dom";
import {Home} from "../pages/Home/Home";
import {About} from "../pages/About/About";
import {Membership} from "../pages/Membership/Membership";
import {Product} from "../pages/Product/Product";
import {Transaction} from "../pages/Transaction/Transaction";

export const AppRoute = () => {
    return <Switch>
        <Route path={"/app/home"}>
            <Home/>
        </Route>
        <Route path={"/app/membership"}>
            <Membership/>
        </Route>
        <Route path={"/app/product"}>
            <Product/>
        </Route>
        <Route path={"/app/transaction"}>
            <Transaction/>
        </Route>
        <Route path={"/app/about"}>
            <About/>
        </Route>
        <Route path="/app" exact>
            <Redirect to={'/app/home'}/>
        </Route>
    </Switch>
}
